# Class LogChopper

java.lang.Object
org.apache.zookeeper.server.util.LogChopper

@Public public class LogChopper extends Object
this class will chop the log at the specified zxid

## Constructor Summary

Constructors
Constructor
Description
`LogChopper()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`chop(InputStream is, OutputStream os, long zxid)`
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogChopper

public LogChopper()

## Method Details

### main

public static void main(String[] args)

### chop

public static boolean chop(InputStream is, OutputStream os, long zxid) throws IOException

Throws:
  `IOException`